- NAME
- SYNOPSIS
- DESCRIPTION
- OPTIONS
- ENVIRONMENT
- SEE ALSO
- COPYRIGHT

# NAME

openssl-provider - load and query providers

# SYNOPSIS

openssl provider [-help] [-v] [-vv] [-vvv] [provider ...]

# DESCRIPTION

This command is used to query the capabilities of the specified provider's.

# OPTIONS

-help

  Print out a usage message.

-v -vv -vvv

  Provides information about each specified provider. The first flag lists the names of all algorithms each provider implements; the second lists them by category; the third adds information on what parameters each of them can handle.

# ENVIRONMENT

OPENSSL_MODULES

  The path to the modules directory, where one can expect provider modules to be located.

# SEE ALSO

config(5)

# COPYRIGHT

Copyright 2019 The OpenSSL Project Authors. All Rights Reserved.

Licensed under the Apache License 2.0 (the "License"). You may not use this file except in compliance with the License. You can obtain a copy in the file LICENSE in the source distribution or at https://www.openssl.org/source/license.html.